Get Service Logs
curl --request POST \
--url https://api.example.com/v1/deployment/logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deployment_name": "my-function",
"since": "2023-11-07T05:31:56Z",
"limit": 100,
"query": "<string>"
}
'import requests
url = "https://api.example.com/v1/deployment/logs"
payload = {
"deployment_name": "my-function",
"since": "2023-11-07T05:31:56Z",
"limit": 100,
"query": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deployment_name: 'my-function',
since: '2023-11-07T05:31:56Z',
limit: 100,
query: '<string>'
})
};
fetch('https://api.example.com/v1/deployment/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": [
{
"timestamp": "2024-01-15T10:30:00+00:00",
"severity": "DEFAULT",
"message": "INFO: 127.0.0.1 - \"GET / HTTP/1.1\" 200 OK"
}
],
"cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Logs
Get Service Logs
Fetch logs from Cloud Logging for a specific service.
Use cursor from response as since to poll for new logs.
POST
/
v1
/
deployment
/
logs
Get Service Logs
Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Service name to fetch logs for
Example:
"my-function"
Fetch logs after this timestamp (use cursor from previous response)
Maximum number of log entries to return
Required range:
1 <= x <= 1000Cloud Logging filter expression to AND with the base filter (e.g. 'jsonPayload.level="error"'). Parentheses must be balanced.